#ifndef _MPIASSRT_H
#define _MPIASSRT_H

/**
assert   
@memo assert  MPI
@name MPI_Assert
@author .. , .. 
@version 1.0  \today
*/

/*@{*/

/**
@memo   (assert)
@param exp 
*/
#ifndef NDEBUG

#define MPI_Assert(exp)	(void)( (exp) || (_MPI_Assert(#exp, __FILE__, __LINE__), 0) )

#else

#define MPI_Assert(exp)	((void) 0)

#endif

/*@}*/

extern void _MPI_Assert(void *, void *, unsigned);

#endif /* _MPIASSRT_H */