#ifndef _FILEMGR_H
#define _FILEMGR_H

/**
    .
        .
@memo  
@name FileManager
@author (c) 2004 .. , .. 
@version 1.0  \today
@see PlanGenerator AgentManager
*/

#include "dbgen.h"	/*    */

/*@{*/

/**
  
@name FileManager_Functions
@memo   
*/

/*@{*/

/**
           
 .           
 .       .
@memo   
@param node  
@return 0       
@see fm_OpenRelation fm_CloseRelation ErrorCodes
*/
extern int fm_InitFileManager(int node);

/**
      .
        .
@memo   
@param relation  
@return 0       
@see fm_CloseRelation fm_ResetRelation ErrorCodes
*/
extern int fm_OpenRelation(int relation);

/**
      .
        .
@memo   
@param relation  
@return 0       
@see fm_OpenRelation fm_ResetRelation ErrorCodes
*/
extern int fm_CloseRelation(int relation);

/**
      , ..     
  .
        \Ref{fm_NextTuple}  \Ref{IsEOF} 
  , :
\begin{verbatim}
fm_OpenRelation(myrelation);
fm_ResetRelation(myrelation);
while (!IsEOF(mytupleptr=fm_NextTuple(myrelation))) {
	 ,   mytupleptr
}
fm_CloseRelation(myrelation);
\end{verbatim}
             
\Ref{fm_OpenRelation}.
@memo    
@param relation  
@return 0       
@see db_InitDatabase fm_NextTuple fm_OpenRelation ErrorCodes
*/
extern int fm_ResetRelation(int relation);

/**
        .
        \Ref{fm_ResetRelation}  \Ref{IsEOF}  
 , :
\begin{verbatim}
fm_OpenRelation(myrelation);
fm_ResetRelation(myrelation);
while (!IsEOF(mytupleptr=fm_NextTuple(myrelation))) {
	 ,   mytupleptr
}
fm_CloseRelation(myrelation);
\end{verbatim}
@memo   
@param relation  
@return   .  ,    , 
   . -EOF
@see EOFtuple tuple_t fm_ResetRelation IsEOF
*/
extern tuple_t fm_NextTuple(int relation);

/*@}*/

/*@}*/

#endif /* _FILEMGR_H */